Bug 13166 - add all restrictions purge to cleanup_database.pl
Summary: add all restrictions purge to cleanup_database.pl
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Command-line Utilities (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on: 12760
Blocks:
  Show dependency treegraph
 
Reported: 2014-10-30 10:49 UTC by Fridolin SOMERS
Modified: 2015-12-03 22:11 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13166 - add all restrictions purge to cleanup_database.pl (4.18 KB, patch)
2014-10-30 11:07 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 13166 - add all restrictions purge to cleanup_database.pl (4.76 KB, patch)
2014-10-30 13:39 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
[SIGNED OFF] Bug 13166 - add all restrictions purge to cleanup_database.pl (4.83 KB, patch)
2015-03-06 10:44 UTC, Larry Baerveldt
Details | Diff | Splinter Review
[PASSED QA] Bug 13166 - add all restrictions purge to cleanup_database.pl (4.89 KB, patch)
2015-03-27 12:47 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2014-10-30 10:49:05 UTC
Bug 12760 adds the ability to purge expired restrictions older than some days.

But if you want to purge all expired restrictions, using "--restrictions 0" does not work, its like "--restrictions" so it uses default purge days.

I propose to add a new option "--all-restrictions" to purge all expired restrictions.

This feature is asked by one of our libraries.
Comment 1 Fridolin SOMERS 2014-10-30 11:07:49 UTC Comment hidden (obsolete)
Comment 2 Fridolin SOMERS 2014-10-30 13:39:09 UTC Comment hidden (obsolete)
Comment 3 Larry Baerveldt 2015-03-06 10:44:45 UTC Comment hidden (obsolete)
Comment 4 Kyle M Hall 2015-03-27 12:47:23 UTC
Created attachment 37312 [details] [review]
[PASSED QA] Bug 13166 - add all restrictions purge to cleanup_database.pl

Bug 12760 adds the ability to purge expired restrictions older than some days.

But if you want to purge all expired restrictions, using "--restrictions 0" does not work, it's like "--restrictions" so it uses default purge days.

This patch adds a new option "--all-restrictions" to purge all expired restrictions.

Test plan :
- Select a borrower
- Create a restriction with expiration date in the futur
- Create a restriction expired since 1 day
- Create a restriction expired since 10 days
- run without argument "misc/cronjobs/cleanup_database.pl"
=> You see help text for --all-restrictions option
- run "misc/cronjobs/cleanup_database.pl -v --restrictions --all-restrictions"
=> You get the message : You can not specify both --restrictions and --all-restrictions
- run "misc/cronjobs/cleanup_database.pl -v --restrictions 30"
=> no restriction is removed
- run "misc/cronjobs/cleanup_database.pl -v --restrictions 9"
=> restriction expired since 10 days is removed
- run "misc/cronjobs/cleanup_database.pl -v --all-restrictions"
=> restriction expired since 1 day is removed

Signed-off-by: Larry Baerveldt <larry@bywatersolutions.com>

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 5 Tomás Cohen Arazi 2015-04-09 17:57:49 UTC
Patch pushed to master.

Thanks Frido!